Subject: Re: bug#38384: (next|previous)-buffer silent about not switching

From: martin rudalics <[email-masked]>
Date: Tue, 26 Nov 2019 18:00:27 +0100

>> Could that disrupt noninteractive calls?
 >
 > Yes, that's why added the notice in NEWS in the "Incompatible Lisp Changes".
 >
 > But, on one hand, programs should perhaps be using
 > switch-to-(prev|next)-buffer. AFAICS, next-buffer and previous-buffer
 > aren't even documented in the Elisp manual (they are briefly mentioned in
 > the Emacs manual).
 >
 >   And on the other, if code is using (next|prev)-buffer, silently getting
 > the same buffer is likely a subtle bug anyway. At least now they get notice.

Right.  'previous-buffer' and 'next-buffer' are intended for interactive use
only.  Maybe we should add appropriate warnings to their doc-strings.

martin